Package org.springframework.security.web.server.authentication

# Class ServerX509AuthenticationConverter

java.lang.Object
org.springframework.security.web.server.authentication.ServerX509AuthenticationConverter

All Implemented Interfaces:
  `ServerAuthenticationConverter`

public class ServerX509AuthenticationConverter extends Object implements ServerAuthenticationConverter
Converts from a `SslInfo` provided by a request to an `PreAuthenticatedAuthenticationToken` that can be authenticated.

Since:
  5.2

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`ServerX509AuthenticationConverter(X509PrincipalExtractor principalExtractor)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.Authentication>`
`convert(org.springframework.web.server.ServerWebExchange exchange)`
Converts a `ServerWebExchange` to an `Authentication`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger

## Constructor Details

### ServerX509AuthenticationConverter

public ServerX509AuthenticationConverter(@NonNull X509PrincipalExtractor principalExtractor)

## Method Details

### convert

public reactor.core.publisher.Mono<org.springframework.security.core.Authentication> convert(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerAuthenticationConverter`
Converts a `ServerWebExchange` to an `Authentication`

Specified by:
  `convert` in interface `ServerAuthenticationConverter`
Parameters:
  `exchange` - The `ServerWebExchange`
Returns:
  A `Mono` representing an `Authentication`